Index: /branches/locker-dev/locker/bin/crontab
===================================================================
--- /branches/locker-dev/locker/bin/crontab	(revision 1723)
+++ /branches/locker-dev/locker/bin/crontab	(revision 1724)
@@ -9,5 +9,5 @@
 # (can be useful for debugging)
 # You can always redirect the output of individual commands to /dev/null
-MAILTO="ATHENA_USER@mit.edu"
+MAILTO="SCRIPTS_USER@mit.edu"
 # If you do not want to receive any mail from cron, use the line below instead
 #MAILTO=""
@@ -22,5 +22,5 @@
 #  | | | | |
 #  | | | | ----- day of week (0 - 6) (Sunday=0)
-#  | | | ------- month (1 - 12)
+#  | |  | ------- month (1 - 12)
 #  | | --------- day of month (1 - 31)
 #  | ----------- hour (0 - 23)
Index: /branches/locker-dev/locker/bin/disable-scripts-test
===================================================================
--- /branches/locker-dev/locker/bin/disable-scripts-test	(revision 1724)
+++ /branches/locker-dev/locker/bin/disable-scripts-test	(revision 1724)
@@ -0,0 +1,5 @@
+#!/bin/sh
+echo Removing iptables rules.
+iptables -t nat -D OUTPUT -d 18.181.0.46 -j DNAT --to-destination 18.181.0.229
+iptables -t nat -D OUTPUT -d 18.181.0.43 -j DNAT --to-destination 18.181.0.229
+iptables -t nat -D OUTPUT -d 18.181.0.50 -j DNAT --to-destination 18.181.0.229
Index: /branches/locker-dev/locker/bin/enable-scripts-test
===================================================================
--- /branches/locker-dev/locker/bin/enable-scripts-test	(revision 1724)
+++ /branches/locker-dev/locker/bin/enable-scripts-test	(revision 1724)
@@ -0,0 +1,5 @@
+#!/bin/sh
+echo Adding iptables rules.
+iptables -t nat -A OUTPUT -d 18.181.0.46 -j DNAT --to-destination 18.181.0.229
+iptables -t nat -A OUTPUT -d 18.181.0.43 -j DNAT --to-destination 18.181.0.229
+iptables -t nat -A OUTPUT -d 18.181.0.50 -j DNAT --to-destination 18.181.0.229
Index: /branches/locker-dev/locker/bin/firefox-test
===================================================================
--- /branches/locker-dev/locker/bin/firefox-test	(revision 1724)
+++ /branches/locker-dev/locker/bin/firefox-test	(revision 1724)
@@ -0,0 +1,5 @@
+#!/bin/sh
+attach -q scripts
+LD_PRELOAD=/mit/scripts/scripts-test/@sys/scripts-test-preload.so
+export LD_PRELOAD
+exec firefox
Index: /branches/locker-dev/locker/bin/fix-php-ini-scripts
===================================================================
--- /branches/locker-dev/locker/bin/fix-php-ini-scripts	(revision 1724)
+++ /branches/locker-dev/locker/bin/fix-php-ini-scripts	(revision 1724)
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# This script is meant to help people who have somehow lost their
+# php.ini files.  It is meant to be run in the top level directory
+# of an application once a reasonable php.ini file has been placed
+# there, and will make the symlinks to it in all child directories.
+
+if [ -f php.ini ]; then
+	echo "Creating php.ini symlinks in child directories..."
+	find . -mindepth 1 -type d -exec sh -c 'ln -sf "`echo "$1" | sed '\''s,[^/],,g; s,/,../,g'\''`php.ini" "$1/"' -- {} \;
+	echo "Done!"
+else
+	echo "There is no php.ini file in this directory.  You should first"
+	echo "put a valid php.ini file in the top level directory of your"
+	echo "application, then change to that directory, and then run this"
+	echo "script to make the symlinks to your php.ini file from all the"
+	echo "child directories."
+	exit 1
+fi
+
Index: /branches/locker-dev/locker/bin/scripts-start
===================================================================
--- /branches/locker-dev/locker/bin/scripts-start	(revision 1723)
+++ /branches/locker-dev/locker/bin/scripts-start	(revision 1724)
@@ -4,10 +4,6 @@
     echo 'mediawiki MediaWiki'
     echo 'wordpress WordPress'
-    echo 'joomla Joomla'
-    echo 'e107 e107'
     echo 'gallery2 Gallery2'
     echo 'phpbb phpBB'
-    echo 'advancedbook Advanced Guest Book'
-    echo 'phpical PHP iCalendar'
     echo 'trac Trac'
     echo 'turbogears TurboGears'
Index: /branches/locker-dev/locker/bin/signup-minimal
===================================================================
--- /branches/locker-dev/locker/bin/signup-minimal	(revision 1723)
+++ /branches/locker-dev/locker/bin/signup-minimal	(revision 1724)
@@ -1,3 +1,9 @@
 #!/bin/bash
+
+if false; then
+    echo "Scripts signups are temporarily unavailable.  Please"
+    echo "check back later."
+    exit 1
+fi
 
 if [ "$initlname" = "" ]; then
@@ -83,5 +89,5 @@
   echo "ERROR:"
   echo "It appears as though you are not an administrator of the locker <$lname>."
-  echo "Try running \"fs sa /mit/$lname $afsuser all\" and starting over."
+  echo "Try running \"fs setacl /mit/$lname $afsuser all\" and starting over."
   echo "Contact scripts@mit.edu if you are unable to solve the problem."
   exit 1
